Bug 1020758 - Misleading information/link when BAM not installed
Misleading information/link when BAM not installed
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ER6
: 6.0.0
Assigned To: David Gutierrez
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 05:03 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-18 05:03:17 EDT
Description of problem:
When the BAM app isn't deployed along with the BPMS, the perspective for embedded dashboard (Dashboards -> Process & Tasks Dashboard) contains a message and a link.

The message says "jBPM Dashboard NOT installed. Please follow the instructions on the given link" but the link points to 
   https://github.com/droolsjbpm/jbpm-dashboard 
which contains the project, not the product, and information on building and deploying the project, not the product. 
The link should point to the product documentation instead.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4
Comment 1 Pedro Zapata 2013-10-18 11:42:06 EDT
What message should be provided? Is this correct?

"Redhat JBoss BPM Suite BAM NOT installed. Please, follow the instructions provided to configure it"

The link should probably be removed, unless there is a public link.
Comment 2 David Gutierrez 2013-10-24 05:57:51 EDT
Fixed and pushed into the product branding branch.

Github commit (branding.2013.09.27): https://github.com/jboss-integration/jbpm-console-ng/commit/8ed3d51c36f7b46831b9358e991579bef56f4f53
Comment 3 Zuzana Krejčová 2013-10-24 08:45:58 EDT
(In reply to Pedro Zapata from comment #1)
> What message should be provided? Is this correct?
> 
> "Redhat JBoss BPM Suite BAM NOT installed. Please, follow the instructions
> provided to configure it"
> 
> The link should probably be removed, unless there is a public link.

The name should be like this, I think:
Red Hat JBoss BPM Suite BAM

As for the link - you're right, let's remove it. And I'd suggest only saying that BAM isn't installed and perhaps advising to contact the administrator. The user seeing that message most likely won't be able to install anything anyway.
Comment 4 Zuzana Krejčová 2013-11-28 05:46:20 EST
See comment 3, please. "Redhat" definitely isn't correct.
Comment 5 David Gutierrez 2013-12-09 04:04:42 EST
Fixed and pushed into the product branding branch.

Github commit (branding.2013.11.15): https://github.com/jboss-integration/jbpm-console-ng/commit/76052e58893de00aa8517e78952854048f22d4b7
Comment 6 Zuzana Krejčová 2014-01-14 05:41:40 EST
Verified with ER7.

Note You need to log in before you can comment on or make changes to this bug.